aboutsummaryrefslogtreecommitdiffstats
path: root/main/galculator/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-22 13:17:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-22 13:17:40 +0000
commit70a05b6cc423f5df155d6e114aea42d15338b5dd (patch)
tree6a7e11bd1bfbb87d5521b0f595d348211e54bf2c /main/galculator/APKBUILD
parent2962bc0287eb818ceb4e2f45931913f01a2fdf3b (diff)
downloadaports-70a05b6cc423f5df155d6e114aea42d15338b5dd.tar.gz
aports-70a05b6cc423f5df155d6e114aea42d15338b5dd.tar.bz2
aports-70a05b6cc423f5df155d6e114aea42d15338b5dd.tar.xz
main/galculator: upgrade to 2.0
Diffstat (limited to 'main/galculator/APKBUILD')
-rw-r--r--main/galculator/APKBUILD10
1 files changed, 6 insertions, 4 deletions
diff --git a/main/galculator/APKBUILD b/main/galculator/APKBUILD
index 37ce1a94ea..b19306e0ee 100644
--- a/main/galculator/APKBUILD
+++ b/main/galculator/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=galculator
-pkgver=1.3.4
-pkgrel=4
+pkgver=2.0
+pkgrel=0
pkgdesc="GTK+ based scientific calculator"
url="http://galculator.sourceforge.net/"
arch="all"
@@ -25,7 +25,9 @@ prepare() {
build() {
cd "$_builddir"
- ./configure --prefix=/usr || return 1
+ ./configure --prefix=/usr \
+ --disable-gtk3 \
+ || return 1
make || return 1
}
@@ -33,5 +35,5 @@ package() {
cd "$srcdir/galculator-$pkgver"
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="d30e6fbf5947bb1c873bc9d5a21046f1 galculator-1.3.4.tar.bz2
+md5sums="2bec5c1cdab9c5421855f878f8018929 galculator-2.0.tar.bz2
467de62f8737c800eb1db93e501de3cb galculator-1.3.4-libm.patch"